POST api/v1/SleepPrepTags
Request Information
URI Parameters
None.
Body Parameters
SleepPrepTag| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
None. |
|
| Slug | string |
None. |
|
| IsActive | boolean |
None. |
|
| IsDeleted | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
|
| SleepPrepItem | Collection of SleepPrepItem |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"name": "sample string 2",
"slug": "sample string 3",
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:02:08.7081238+03:00",
"updatedAt": "2026-04-18T15:02:08.7081238+03:00",
"sleepPrepItem": [
{
"id": 1,
"title": "sample string 2",
"description": "sample string 3",
"mediaType": 64,
"imageUrl": "sample string 5",
"audioUrl": "sample string 6",
"storyText": "sample string 7",
"durationMinutes": 1,
"ageMinMonths": 8,
"ageMaxMonths": 1,
"locale": "sample string 9",
"displayOrder": 1,
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:02:08.7081238+03:00",
"updatedAt": "2026-04-18T15:02:08.7081238+03:00",
"sleepPrepTag": []
},
{
"id": 1,
"title": "sample string 2",
"description": "sample string 3",
"mediaType": 64,
"imageUrl": "sample string 5",
"audioUrl": "sample string 6",
"storyText": "sample string 7",
"durationMinutes": 1,
"ageMinMonths": 8,
"ageMaxMonths": 1,
"locale": "sample string 9",
"displayOrder": 1,
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:02:08.7081238+03:00",
"updatedAt": "2026-04-18T15:02:08.7081238+03:00",
"sleepPrepTag": []
}
]
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.